Subject: [bug#39617] [PATCH 0/2] Add initial Pinebook Pro support

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 16 Feb 2020 19:19:11 +0100

Hi Janneke,

On Sat, 15 Feb 2020 19:49:48 +0100
Jan Nieuwenhuizen <[email-masked]> wrote:

> A vanilla kernel does not work yet; apparently development to upstream
> pinebook-pro patches lives here:
> https://gitlab.manjaro.org/tsys/linux-pinebook-pro

Yeah, but LKML has some of the patches there in review, for example:

* http://lkml.iu.edu/hypermail/linux/kernel/2001.1/01899.html (already accepted)
* https://patchwork.kernel.org/patch/11325531/ (pending changes)
[...]
* https://www.spinics.net/lists/kernel/msg3367972.html (pending changes)

So all in all I think the Pinebook Pro will eventually work with the vanilla kernel.

> Similarly, Das U-Boot has a pinebook-pro development branch
> https://git.eno.space/pbp-uboot.git

(Not so sure whether that one will be upstreamed)

> sudo sed 's,FDTDIR \([^ ]*\),FDT \1/rockchip/rk3399-pinebook-pro.dtb,' /boot/extlinux/extlinux.conf

It might make sense to find out why this is necessary.

https://lists.denx.de/pipermail/u-boot/2014-January/171682.html describes that it
should be possible to set up u-boot environment variables (in uEnv.txt) to make
it find the correct FDT file anyway.  If none is set up, it automatically generates
the file name to use using $soc and $board.  But that's for PXE booting
(booting empty machine via network)--not sure where the normal case is in U-Boot,
if any.  U-Boot sometimes has some weird blind spots like that.

Also, https://lists.denx.de/pipermail/u-boot/2016-May/254703.html kinda
sounds like they dont support subdirs.  Wanna try adding "/rockchip" to the
end of FDTDIR in extlinux.conf ?
Also, what's the value of CONFIG_[DEFAULT_]DEVICE_TREE in your u-boot
configuration?

> --8<---------------cut here---------------end--------------->8---
> 
> Because of the aarch64 guix pull problem, the separate repositories for
> kernel and u-boot, the weird MMC numbering changes /dev/mmcblk0 <->
> /dev/mmcblk1 and this ugly extlinux.conf fixup I am not sure where to
> share this code, maybe wip-pinebook-pro @ savannah.  WDYT?

I'm all for wip-pinebook-pro @ savannah, especially before losing a now-working
version by hacking further on it.  Been there done that :)

If you want we can collaborate in the next days on finding the cause of
the weird FDT problem.

> For more details, see
> 
>     https://joyofsource.com/guix-system-on-the-pinebook-pro.html
> 
> I think it would be nice to have an updated this blog on guix.gnu.org when
> these silly problems are resolved.

Sure!

As a general remark, make-u-boot-package was not public because
I didn't want to commit to its interface yet.

I think we don't need to export it even now.  (We can if we have to)